Package tigase.server.ext

## Interface ComponentProtocolHandler

- All Known Implementing Classes:
    `ComponentProtocol`

      public interface ComponentProtocolHandler

  Created: Oct 7, 2009 5:54:56 PM
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `EXTCOMP_BIND_HOSTNAMES_PROP_KEY` |
    `static java.lang.String` | `REPO_ITEM_KEY` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `authenticated​(ComponentIOService serv)` |
    `void` | `authenticationFailed​(ComponentIOService serv, Packet packet)` |
    `void` | `bindHostname​(java.lang.String hostname, ComponentIOService serv)` |
    `CompRepoItem` | `getCompRepoItem​(java.lang.String hostname)` |
    `ExtProcessor` | `getProcessor​(java.lang.String string)` |
    `java.util.List<Element>` | `getStreamFeatures​(ComponentIOService serv)` |
    `StreamOpenHandler` | `getStreamOpenHandler​(java.lang.String xmlns)` |
    `java.lang.String` | `newPacketId​(java.lang.String prefix)` |
    `void` | `unbindHostname​(java.lang.String hostname, ComponentIOService serv)` |

- - ### Field Detail

    - #### REPO_ITEM_KEY

          static final java.lang.String REPO_ITEM_KEY

      See Also:
        Constant Field Values

    - #### EXTCOMP_BIND_HOSTNAMES_PROP_KEY

          static final java.lang.String EXTCOMP_BIND_HOSTNAMES_PROP_KEY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### authenticated

          void authenticated​(ComponentIOService serv)

    - #### authenticationFailed

          void authenticationFailed​(ComponentIOService serv,
                                    Packet packet)

    - #### bindHostname

          void bindHostname​(java.lang.String hostname,
                            ComponentIOService serv)

    - #### getCompRepoItem

          CompRepoItem getCompRepoItem​(java.lang.String hostname)

    - #### getProcessor

          ExtProcessor getProcessor​(java.lang.String string)

    - #### getStreamFeatures

          java.util.List<Element> getStreamFeatures​(ComponentIOService serv)

    - #### getStreamOpenHandler

          StreamOpenHandler getStreamOpenHandler​(java.lang.String xmlns)

    - #### newPacketId

          java.lang.String newPacketId​(java.lang.String prefix)

    - #### unbindHostname

          void unbindHostname​(java.lang.String hostname,
                              ComponentIOService serv)